ShutdownNotificationContent Class

The contents of a shutdown notification. Webhooks can use this type to deserialize the request body when they get notified of an imminent shutdown.

Inheritance
ShutdownNotificationContent

Constructor

ShutdownNotificationContent(*, skip_url: Optional[str] = None, delay_url60: Optional[str] = None, delay_url120: Optional[str] = None, vm_name: Optional[str] = None, guid: Optional[str] = None, owner: Optional[str] = None, vm_url: Optional[str] = None, minutes_until_shutdown: Optional[str] = None, event_type: Optional[str] = None, text: Optional[str] = None, subscription_id: Optional[str] = None, resource_group_name: Optional[str] = None, lab_name: Optional[str] = None, **kwargs)

Parameters

skip_url
str
Required

The URL to skip auto-shutdown.

delay_url60
str
Required

The URL to delay shutdown by 60 minutes.

delay_url120
str
Required

The URL to delay shutdown by 2 hours.

vm_name
str
Required

The virtual machine to be shut down.

guid
str
Required

The GUID for the virtual machine to be shut down.

owner
str
Required

The owner of the virtual machine.

vm_url
str
Required

The URL of the virtual machine.

minutes_until_shutdown
str
Required

Minutes remaining until shutdown.

event_type
str
Required

The event for which a notification will be sent.

text
str
Required

The text for the notification.

subscription_id
str
Required

The subscription ID for the schedule.

resource_group_name
str
Required

The resource group name for the schedule.

lab_name
str
Required

The lab for the schedule.